<div class="tab-pane active" id="panelKlipperConfig">
<div class="form-group margin-top" style="height:60px">
<label><?php _('Configuration') ?></label>
<select class="form-control" ng-model="actKlipper" ng-options="m as m for m in klipper.configs">
</select>
</div>
<div ng-if="actKlipper" class="margin-bottom margin-top clearfix">
{{infoMsg}}
<button class="btn btn-success pull-right" ng-click="saveConfig()">
<i class="fa fa-save rs-bigtab"></i>
<span ng-if="actKlipper!==activeSlug || showInstall || !klipper.supportsRestart"><?php _('Save Configuration') ?></span>
<span ng-if="!(actKlipper!==activeSlug || showInstall || !klipper.supportsRestart)"><?php _('Save and Install') ?></span>
</button>
<button class="btn btn-default pull-right margin-right" ng-click="saveAs()"><i class="fa fa-save rs-bigtab"></i> <?php _('Save As') ?>
</button>
<button ng-if="!showInstall && klipper.supportsRestart && actKlipper === activeSlug" class="btn btn-danger pull-right margin-right" ng-click="restartKlipper()"><i class="fa fa-refresh rs-bigtab"></i> <?php _('Restart') ?>
</button>
<button ng-if="!showInstall && klipper.supportsUninstall && actKlipper === activeSlug" class="btn btn-danger pull-right margin-right" ng-click="uninstallKlipper()"><i class="fa fa-minus-square rs-bigtab"></i> <?php _('Uninstall') ?>
</button>
<button ng-if="showInstall && klipper.supportsInstall && actKlipper === activeSlug" class="btn btn-default pull-right margin-right" ng-click="installKlipper()"><i class="fa fa-plus-square rs-bigtab"></i> <?php _('Install') ?>
</button>
<button ng-if="showInstall" class="btn btn-danger pull-right margin-right" ng-click="deleteConfig()"><i class="fa fa-trash-o rs-bigtab"></i> <?php _('Delete') ?>
</button>
<a href="https://www.klipper3d.org/" target="_blank" class="btn btn-default rs-bigtab pull-right margin-right" title="<?php _('Klipper Homepage') ?>">
<i class="fa fa-info-circle"></i>
</a>
</div>
<div style="height: calc(100vh - 360px);min-height: 300px; display: flex; flex-direction: column;" ng-if="actKlipper">
<rs-klipper-config-editor ng-model="$parent.klipperConfig" style="width:100%; overflow-y: auto; height: 100%;"></rs-klipper-config-editor>
</div>
</div>
